Package com.sun.mail.handlers

## Class text_xml

- java.lang.Object
- - com.sun.mail.handlers.handler_base
  - - com.sun.mail.handlers.text_plain
    - - com.sun.mail.handlers.text_xml

All Implemented Interfaces:
  `DataContentHandler`

    public class text_xml
    extends text_plain

DataContentHandler for text/xml.

Author:
  Anil Vijendran, Bill Shannon

### Constructor Summary

Constructors
`text_xml​()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Object` `getData​(ActivationDataFlavor aFlavor, DataSource ds)` Given the flavor that matched, return the appropriate type of object.
`protected ActivationDataFlavor[]` `getDataFlavors​()` Return an array of ActivationDataFlavors that we support.
`void` `writeTo​(Object obj, String mimeType, OutputStream os)` Write the object to the output stream, using the specified MIME type.

### Methods inherited from class com.sun.mail.handlers.handler_base

`getTransferData, getTransferDataFlavors`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from class com.sun.mail.handlers.text_plain

`getContent`

### Constructor Detail

#### text_xml

    public text_xml​()

### Method Detail

#### getDataFlavors

    protected ActivationDataFlavor[] getDataFlavors​()

Description copied from class: `handler_base`
Return an array of ActivationDataFlavors that we support. Usually there will be only one.

Overrides:
  `getDataFlavors` in class `text_plain`
Returns:
  array of ActivationDataFlavors that we support

#### getData

    protected Object getData​(ActivationDataFlavor aFlavor,
                             DataSource ds)
                      throws IOException

Description copied from class: `handler_base`
Given the flavor that matched, return the appropriate type of object. Usually there's only one flavor so just call getContent.

Overrides:
  `getData` in class `handler_base`
Parameters:
  `aFlavor` - the ActivationDataFlavor
  `ds` - DataSource containing the data
Returns:
  the object
Throws:
  `IOException` - for errors reading the data

#### writeTo

    public void writeTo​(Object obj,
                        String mimeType,
                        OutputStream os)
                 throws IOException

Description copied from class: `text_plain`
Write the object to the output stream, using the specified MIME type.

Specified by:
  `writeTo` in interface `DataContentHandler`
Overrides:
  `writeTo` in class `text_plain`
Throws:
  `IOException`